@charset "utf-8";

:root {
  /* menu */
  --menu-item-bg: #222; /* transparent; */
  --menu-item-color: rgba(255,255,255,0.96); /* purple; /* #111111; */ 
  --menu-item-active-bg: white; /* #222; /* purple; /* #111111; */
  --menu-item-active-color: #222; /* rgba(255,255,255,0.96); */
  --menu-item-hover-bg: white; /* purple;
  /* submenu */

}

/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* THERE ARE STYLESHEETS ATTACHED TO THIS formatting */

/* grids */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
@media screen {


  header {
    width: 100%;
    position: fixed;
    background-color: transparent; /* pink; */
    display: block;
    margin-bottom: 4rem;
    z-index: 9000;
    /* border-top: 2px dotted var(--greyDot-color); */
    pointer-events: none;
  }

  body[class*="toolbar"] header {
    position: absolute;
    z-index: 20;
  }


  #logo {
    /* font-size: 0px; */
  }

  #logo a {
    display: inline-block;
    width: auto;
    max-width: calc(100% - 60px); /* auto; /* 19.25em; */
    text-align: left; /* center; */
    padding: 0.4em 2rem 0.5em 2rem; /* 0.4em 1rem 0.5em 1rem; */
    font-weight: 500;
    text-transform: uppercase;
    text-decoration: none;
    font-size: 0.95em; /* 1em; */
    line-height: 1.6em;
    letter-spacing: 0.025em;
    color: var(--menu-item-color);
    background-color: var(--menu-item-bg);
    /*
    border-top: 2px solid var(--greyDot-color);
    margin: -2px 0px 0px 0px;
    */
    pointer-events: all;
  }
  #logo a:hover {
    text-decoration: none;
    cursor: pointer;
  }

  
  .menuWrapper {
    /* margin-bottom: 0px; */
    margin: 0px; /* 0px 0px 0px 3rem; */
    text-align: left;
    display: none;
  }  

  .menuWrapper nav.contextual-region {
    position: inherit !important;
  }

  .menuWrapper nav:last-of-type::after {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    pointer-events: none;
    clear: both;    
    border-bottom: 0px; /* 2px dotted var(--greyDot-color); */
  }

  .menuWrapper ul.menu {
    display: flex;
    list-style-type: none;
    padding: 0px;
    margin: 0px;
    position: relative;
    /* background-color: white; */
  }

  /* top level menu border bottom */
  .menuWrapper nav > ul.menu::after {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    border-bottom: 2px dotted var(--greyDot-color);
    pointer-events: none;
    clear: both;
  }
  /*
  .menuWrapper nav:last-of-type > ul.menu::after {
    border-bottom: 0px !important;
  } 
  */


  .menuWrapper ul.menu li {
    flex: 0 0 auto;
  }

  .menuWrapper ul.menu li a {
    display: block;
    /* padding: 0.4em calc(0.9em + 2px) 0.5em 0.9em;  */
    padding: 0.4em 2em 0.5em 2em; /* 0.4em 0.9em 0.5em 0.9em; */
    font-weight: 500; /* 500; */
    font-size: 0.95em; /* 1em; */
    line-height: 1.6em;
    letter-spacing: 0.025em;
    color: var(--menu-item-color);
    background-color: var(--menu-item-bg);
    position: relative;
    text-decoration: none;
  }
  .menuWrapper ul.menu li a::after {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    border-right: 2px dotted var(--greyDot-color); /* var(--menu-item-active-bg); */
    pointer-events: none;
  }
  .menuWrapper ul.menu li:first-of-type a:after {
    border-left: 2px dotted var(--greyDot-color); /* var(--menu-item-active-bg); */
  }  
  /* left edge on logo needs to be solid, not dotted */
  .menuWrapper nav:first-of-type ul.menu li:first-of-type a:after {
    border-left: 2px dotted var(--greyDot-color);
  }
   

  .menuWrapper ul.menu li a:hover {
    text-decoration: none;
    background-color: var(--menu-item-hover-bg);
    color: var(--menu-item-active-color);
  }  
  .menuWrapper ul.menu li a.is-active {
    color: var(--menu-item-active-color);
    background-color: var(--menu-item-active-bg);
  }
  /* active trail */
  .menuWrapper ul.menu li a.active-trail {
    color: var(--menu-item-active-color);
    background-color: var(--menu-item-active-bg);
  }



  /* SECOND LEVEL MENU!! ************************* */
  .menuWrapper ul.menu li ul {
    display: none;
  }
  .menuWrapper ul.menu li.active-trail ul {
    position: absolute;
    left: 0px;
    display: block;
    width: 100%;
    background-color: white;
    list-style-type: none;
    padding: 0px;
    margin: 0px;
    border-bottom: 2px dotted var(--greyDot-color);
  }
  .menuWrapper ul.menu li.active-trail ul li {
    display: block;
    float: left;
  }



  /* social menu */
  .socialMenuWrapper {
    position: absolute;
    top: 0px;
    right: 0px; /* 0.6em; */
    display: none;
  }

  .socialMenuWrapper ul#socialMenu {
    list-style-type: none;
    display: flex;
    margin: 0px;
    padding: 0px;
    justify-content: end;
    align-items: center;
    margin-right: 0.25em;
  }

  .socialMenuWrapper ul#socialMenu li {
    flex: 0 0 auto;
  }

  .socialMenuWrapper ul#socialMenu li a.icon {
    display: block;
    /* padding: 0.35em 0.35em 0.1em 0.35em; */
    padding: 0.4em 0.5em 0.1em 0.5em;
    font-weight: 500;
    font-size: 1.175em;
    line-height: 1.6em;
    letter-spacing: 0px; /* 0.025em; */
    /* border-right: 2px dotted var(--text-color); */
    color: var(--text-color);
  }

  .socialMenuWrapper ul#socialMenu li a.icon svg {
    width: 1em;
    height: 1em;
  }


  /* alphabeticalNav */
  ul#alphabeticalNav {
    list-style-type: none;
    padding: 0px;
    margin: 0px;
    display: grid;
    grid-template-columns: 1fr;
  }

  ul#alphabeticalNav li {
    text-align: right;
  }

  ul#alphabeticalNav li a {
    color: var(--text-color);
    /* opacity: 0.65; */
    font-weight: 300;
    font-size: 0.8888em;
    line-height: 1.25em;
    letter-spacing: 0.025em;
    padding: 0px;
    margin: 0px;
  }  

  ul#alphabeticalNav ul {
    list-style-type: none;
    padding: 0px;
    margin: 0px;
    display: grid;
    grid-template-columns: 1fr;
  }

  ul#alphabeticalNav ul li {
    /* border: 1px solid pink; */
  }  


  ul#alphabeticalNav ul li a {
    display: block;
    position: relative;
    padding: 0.2em 0px; /* 0.2em 0.75em 0.2em 0px; */
  }



  /* ****************************************************************** */
  /* lang selector menu */

  ul.language-switcher-language-url {
    width: 100%;
    font-size: 0.95em; /* 1em; */
    line-height: 1em;
    letter-spacing: 0.035em;
    text-transform: uppercase;
    margin: 0px;
    padding: 0px;
    display: grid;
    grid-template-columns: 1fr 1fr;
  }
  ul.language-switcher-language-url li {
    display: block; /* inline-block; */
  }
  ul.language-switcher-language-url li a,
  ul.language-switcher-language-url li .locale-untranslated {
    display: block;
    /* padding: 0.4em calc(0.65em + 2px) 0.5em 0.6em; */
    padding: 0.4em 0.75em 0.5em 0.75em;
    font-weight: 500; /* 400; */
    font-size: 0.95em; /* 1em; */
    line-height: 1.6em;
    letter-spacing: .025em;
    text-decoration: none;
    color: var(--menu-item-color); /* var(--text-color); */
    background-color: var(--menu-item-bg);
    border-right: 2px dotted var(--greyDot-color);
    /* text-transform: lowercase; */
  }
  ul.language-switcher-language-url li:last-child a {
    border-right: 0px solid transparent;
    padding: 0.4em 0.65em 0.5em 0.65em;
  }

  ul.language-switcher-language-url li a:hover {
    text-decoration: underline;
    cursor: pointer;
  }

  ul.language-switcher-language-url li a.is-active {
    /* font-weight: 700; */
    text-decoration: line-through;
  }


}



/* ***************************************************** */
/* BREAK MEDIUM */

@media (min-width: 800px) {


  header {
    pointer-events: all;
    display: grid;
    grid-template-columns: max-content 1fr;
  }

  #logo a {
    /* padding: 0.4em 2em 0.5em 2em; /* 0.4em calc(2em + 5vw) 0.5em 2em; /* 0.4em 0 0.5em 0; */
    padding: 0.4em 4em 0.5em 4em; /* 0.4em 2em 0.5em 2em; */
    text-align: center;
    width: auto; /* 19.25em; */
    max-width: none;
  }

  .menuWrapper {
    display: block;
    background-color: white;
  }   

  .socialMenuWrapper {
    display: block;
  }

  nav {
    text-align: left; /* right; */
  }  

}


/* ***************************************************** */
/* BREAK MEDIUM */

@media (min-width: 1200px) {


}


/* ***************************************************** */
/* BREAK MEDIUM */

@media (min-width: 1600px) {


}